pragma Ada_95;
pragma Warnings (Off);
pragma Source_File_Name (ada_main, Spec_File_Name => "b__awsres.ads");
pragma Source_File_Name (ada_main, Body_File_Name => "b__awsres.adb");
pragma Suppress (Overflow_Check);

with System.Restrictions;
with Ada.Exceptions;

package body ada_main is

   E140 : Short_Integer; pragma Import (Ada, E140, "system__os_lib_E");
   E013 : Short_Integer; pragma Import (Ada, E013, "system__soft_links_E");
   E023 : Short_Integer; pragma Import (Ada, E023, "system__exception_table_E");
   E171 : Short_Integer; pragma Import (Ada, E171, "ada__containers_E");
   E121 : Short_Integer; pragma Import (Ada, E121, "ada__io_exceptions_E");
   E204 : Short_Integer; pragma Import (Ada, E204, "ada__numerics_E");
   E060 : Short_Integer; pragma Import (Ada, E060, "ada__strings_E");
   E062 : Short_Integer; pragma Import (Ada, E062, "ada__strings__maps_E");
   E066 : Short_Integer; pragma Import (Ada, E066, "ada__strings__maps__constants_E");
   E099 : Short_Integer; pragma Import (Ada, E099, "ada__tags_E");
   E120 : Short_Integer; pragma Import (Ada, E120, "ada__streams_E");
   E051 : Short_Integer; pragma Import (Ada, E051, "interfaces__c_E");
   E274 : Short_Integer; pragma Import (Ada, E274, "interfaces__c__strings_E");
   E025 : Short_Integer; pragma Import (Ada, E025, "system__exceptions_E");
   E143 : Short_Integer; pragma Import (Ada, E143, "system__file_control_block_E");
   E194 : Short_Integer; pragma Import (Ada, E194, "ada__streams__stream_io_E");
   E136 : Short_Integer; pragma Import (Ada, E136, "system__file_io_E");
   E123 : Short_Integer; pragma Import (Ada, E123, "system__finalization_root_E");
   E118 : Short_Integer; pragma Import (Ada, E118, "ada__finalization_E");
   E304 : Short_Integer; pragma Import (Ada, E304, "system__regpat_E");
   E125 : Short_Integer; pragma Import (Ada, E125, "system__storage_pools_E");
   E113 : Short_Integer; pragma Import (Ada, E113, "system__finalization_masters_E");
   E111 : Short_Integer; pragma Import (Ada, E111, "system__storage_pools__subpools_E");
   E226 : Short_Integer; pragma Import (Ada, E226, "system__task_info_E");
   E006 : Short_Integer; pragma Import (Ada, E006, "ada__calendar_E");
   E074 : Short_Integer; pragma Import (Ada, E074, "ada__calendar__time_zones_E");
   E296 : Short_Integer; pragma Import (Ada, E296, "gnat__calendar_E");
   E299 : Short_Integer; pragma Import (Ada, E299, "gnat__calendar__time_io_E");
   E325 : Short_Integer; pragma Import (Ada, E325, "gnat__directory_operations_E");
   E331 : Short_Integer; pragma Import (Ada, E331, "gnat__secure_hashes_E");
   E333 : Short_Integer; pragma Import (Ada, E333, "gnat__secure_hashes__sha1_E");
   E329 : Short_Integer; pragma Import (Ada, E329, "gnat__sha1_E");
   E188 : Short_Integer; pragma Import (Ada, E188, "system__assertions_E");
   E182 : Short_Integer; pragma Import (Ada, E182, "system__pool_global_E");
   E284 : Short_Integer; pragma Import (Ada, E284, "system__random_seed_E");
   E017 : Short_Integer; pragma Import (Ada, E017, "system__secondary_stack_E");
   E097 : Short_Integer; pragma Import (Ada, E097, "ada__strings__unbounded_E");
   E070 : Short_Integer; pragma Import (Ada, E070, "ada__directories_E");
   E145 : Short_Integer; pragma Import (Ada, E145, "system__regexp_E");
   E323 : Short_Integer; pragma Import (Ada, E323, "gnat__command_line_E");
   E242 : Short_Integer; pragma Import (Ada, E242, "system__tasking__initialization_E");
   E149 : Short_Integer; pragma Import (Ada, E149, "ada__text_io_E");
   E252 : Short_Integer; pragma Import (Ada, E252, "system__tasking__protected_objects_E");
   E256 : Short_Integer; pragma Import (Ada, E256, "system__tasking__protected_objects__entries_E");
   E250 : Short_Integer; pragma Import (Ada, E250, "system__tasking__queuing_E");
   E317 : Short_Integer; pragma Import (Ada, E317, "memory_streams_E");
   E315 : Short_Integer; pragma Import (Ada, E315, "templates_parser_tasking_E");
   E292 : Short_Integer; pragma Import (Ada, E292, "templates_parser_E");
   E309 : Short_Integer; pragma Import (Ada, E309, "templates_parser__input_E");
   E311 : Short_Integer; pragma Import (Ada, E311, "templates_parser__utils_E");
   E203 : Short_Integer; pragma Import (Ada, E203, "aws__utils_E");
   E168 : Short_Integer; pragma Import (Ada, E168, "aws__resources_E");
   E319 : Short_Integer; pragma Import (Ada, E319, "aws__resources__files_E");
   E180 : Short_Integer; pragma Import (Ada, E180, "aws__resources__streams_E");
   E321 : Short_Integer; pragma Import (Ada, E321, "aws__resources__streams__disk_E");
   E198 : Short_Integer; pragma Import (Ada, E198, "aws__resources__streams__memory_E");
   E170 : Short_Integer; pragma Import (Ada, E170, "aws__resources__embedded_E");
   E186 : Short_Integer; pragma Import (Ada, E186, "aws__resources__streams__zlib_E");

   Local_Priority_Specific_Dispatching : constant String := "";
   Local_Interrupt_States : constant String := "";

   Is_Elaborated : Boolean := False;

   procedure finalize_library is
   begin
      declare
         procedure F1;
         pragma Import (Ada, F1, "aws__resources__embedded__finalize_body");
      begin
         E170 := E170 - 1;
         if E170 = 0 then
            F1;
         end if;
      end;
      E186 := E186 - 1;
      declare
         procedure F2;
         pragma Import (Ada, F2, "aws__resources__streams__zlib__finalize_spec");
      begin
         if E186 = 0 then
            F2;
         end if;
      end;
      E198 := E198 - 1;
      declare
         procedure F3;
         pragma Import (Ada, F3, "aws__resources__streams__memory__finalize_spec");
      begin
         if E198 = 0 then
            F3;
         end if;
      end;
      E321 := E321 - 1;
      declare
         procedure F4;
         pragma Import (Ada, F4, "aws__resources__streams__disk__finalize_spec");
      begin
         if E321 = 0 then
            F4;
         end if;
      end;
      E180 := E180 - 1;
      declare
         procedure F5;
         pragma Import (Ada, F5, "aws__resources__streams__finalize_spec");
      begin
         if E180 = 0 then
            F5;
         end if;
      end;
      E203 := E203 - 1;
      declare
         procedure F6;
         pragma Import (Ada, F6, "aws__utils__finalize_spec");
      begin
         if E203 = 0 then
            F6;
         end if;
      end;
      declare
         procedure F7;
         pragma Import (Ada, F7, "templates_parser__finalize_body");
      begin
         E292 := E292 - 1;
         if E292 = 0 then
            F7;
         end if;
      end;
      declare
         procedure F8;
         pragma Import (Ada, F8, "templates_parser__finalize_spec");
      begin
         if E292 = 0 then
            F8;
         end if;
      end;
      declare
         procedure F9;
         pragma Import (Ada, F9, "templates_parser_tasking__finalize_body");
      begin
         E315 := E315 - 1;
         if E315 = 0 then
            F9;
         end if;
      end;
      E256 := E256 - 1;
      declare
         procedure F10;
         pragma Import (Ada, F10, "system__tasking__protected_objects__entries__finalize_spec");
      begin
         if E256 = 0 then
            F10;
         end if;
      end;
      E149 := E149 - 1;
      declare
         procedure F11;
         pragma Import (Ada, F11, "ada__text_io__finalize_spec");
      begin
         if E149 = 0 then
            F11;
         end if;
      end;
      E070 := E070 - 1;
      E145 := E145 - 1;
      declare
         procedure F12;
         pragma Import (Ada, F12, "system__regexp__finalize_spec");
      begin
         if E145 = 0 then
            F12;
         end if;
      end;
      declare
         procedure F13;
         pragma Import (Ada, F13, "ada__directories__finalize_spec");
      begin
         if E070 = 0 then
            F13;
         end if;
      end;
      E097 := E097 - 1;
      declare
         procedure F14;
         pragma Import (Ada, F14, "ada__strings__unbounded__finalize_spec");
      begin
         if E097 = 0 then
            F14;
         end if;
      end;
      declare
         procedure F15;
         pragma Import (Ada, F15, "system__file_io__finalize_body");
      begin
         E136 := E136 - 1;
         if E136 = 0 then
            F15;
         end if;
      end;
      E113 := E113 - 1;
      E111 := E111 - 1;
      E182 := E182 - 1;
      declare
         procedure F16;
         pragma Import (Ada, F16, "system__pool_global__finalize_spec");
      begin
         if E182 = 0 then
            F16;
         end if;
      end;
      declare
         procedure F17;
         pragma Import (Ada, F17, "system__storage_pools__subpools__finalize_spec");
      begin
         if E111 = 0 then
            F17;
         end if;
      end;
      declare
         procedure F18;
         pragma Import (Ada, F18, "system__finalization_masters__finalize_spec");
      begin
         if E113 = 0 then
            F18;
         end if;
      end;
      E194 := E194 - 1;
      declare
         procedure F19;
         pragma Import (Ada, F19, "ada__streams__stream_io__finalize_spec");
      begin
         if E194 = 0 then
            F19;
         end if;
      end;
      declare
         procedure Reraise_Library_Exception_If_Any;
            pragma Import (Ada, Reraise_Library_Exception_If_Any, "__gnat_reraise_library_exception_if_any");
      begin
         Reraise_Library_Exception_If_Any;
      end;
   end finalize_library;

   procedure adafinal is
      procedure s_stalib_adafinal;
      pragma Import (C, s_stalib_adafinal, "system__standard_library__adafinal");

      procedure Runtime_Finalize;
      pragma Import (C, Runtime_Finalize, "__gnat_runtime_finalize");

   begin
      if not Is_Elaborated then
         return;
      end if;
      Is_Elaborated := False;
      Runtime_Finalize;
      s_stalib_adafinal;
   end adafinal;

   type No_Param_Proc is access procedure;

   procedure adainit is
      Main_Priority : Integer;
      pragma Import (C, Main_Priority, "__gl_main_priority");
      Time_Slice_Value : Integer;
      pragma Import (C, Time_Slice_Value, "__gl_time_slice_val");
      WC_Encoding : Character;
      pragma Import (C, WC_Encoding, "__gl_wc_encoding");
      Locking_Policy : Character;
      pragma Import (C, Locking_Policy, "__gl_locking_policy");
      Queuing_Policy : Character;
      pragma Import (C, Queuing_Policy, "__gl_queuing_policy");
      Task_Dispatching_Policy : Character;
      pragma Import (C, Task_Dispatching_Policy, "__gl_task_dispatching_policy");
      Priority_Specific_Dispatching : System.Address;
      pragma Import (C, Priority_Specific_Dispatching, "__gl_priority_specific_dispatching");
      Num_Specific_Dispatching : Integer;
      pragma Import (C, Num_Specific_Dispatching, "__gl_num_specific_dispatching");
      Main_CPU : Integer;
      pragma Import (C, Main_CPU, "__gl_main_cpu");
      Interrupt_States : System.Address;
      pragma Import (C, Interrupt_States, "__gl_interrupt_states");
      Num_Interrupt_States : Integer;
      pragma Import (C, Num_Interrupt_States, "__gl_num_interrupt_states");
      Unreserve_All_Interrupts : Integer;
      pragma Import (C, Unreserve_All_Interrupts, "__gl_unreserve_all_interrupts");
      Detect_Blocking : Integer;
      pragma Import (C, Detect_Blocking, "__gl_detect_blocking");
      Default_Stack_Size : Integer;
      pragma Import (C, Default_Stack_Size, "__gl_default_stack_size");
      Leap_Seconds_Support : Integer;
      pragma Import (C, Leap_Seconds_Support, "__gl_leap_seconds_support");
      Bind_Env_Addr : System.Address;
      pragma Import (C, Bind_Env_Addr, "__gl_bind_env_addr");

      procedure Runtime_Initialize (Install_Handler : Integer);
      pragma Import (C, Runtime_Initialize, "__gnat_runtime_initialize");

      Finalize_Library_Objects : No_Param_Proc;
      pragma Import (C, Finalize_Library_Objects, "__gnat_finalize_library_objects");
   begin
      if Is_Elaborated then
         return;
      end if;
      Is_Elaborated := True;
      Main_Priority := -1;
      Time_Slice_Value := -1;
      WC_Encoding := 'b';
      Locking_Policy := ' ';
      Queuing_Policy := ' ';
      Task_Dispatching_Policy := ' ';
      System.Restrictions.Run_Time_Restrictions :=
        (Set =>
          (False, False, False, False, False, False, False, False, 
           False, False, False, False, False, False, False, False, 
           False, False, False, False, False, False, False, False, 
           False, False, False, False, False, False, False, False, 
           False, False, False, False, False, False, False, False, 
           False, False, False, False, False, False, False, False, 
           False, False, False, False, False, False, False, False, 
           False, False, False, False, False, False, False, False, 
           False, False, False, False, False, False, False, False, 
           False, False, False, False, True, False, False, False, 
           False, False, False, False, False, False, False, False, 
           False, False, False),
         Value => (0, 0, 0, 0, 0, 0, 0, 0, 0, 0),
         Violated =>
          (True, False, False, True, True, False, False, True, 
           False, False, True, True, True, True, False, False, 
           True, False, False, True, True, False, True, True, 
           False, True, True, True, True, True, True, False, 
           False, True, False, True, False, False, True, False, 
           True, False, True, True, False, False, True, True, 
           False, False, True, True, False, True, False, False, 
           False, False, False, False, False, True, True, True, 
           False, False, True, False, True, True, True, False, 
           True, True, False, True, True, True, False, True, 
           True, False, False, False, True, False, False, False, 
           False, True, False),
         Count => (0, 0, 0, 2, 0, 0, 0, 0, 1, 0),
         Unknown => (False, False, False, False, False, False, False, False, True, False));
      Priority_Specific_Dispatching :=
        Local_Priority_Specific_Dispatching'Address;
      Num_Specific_Dispatching := 0;
      Main_CPU := -1;
      Interrupt_States := Local_Interrupt_States'Address;
      Num_Interrupt_States := 0;
      Unreserve_All_Interrupts := 0;
      Detect_Blocking := 0;
      Default_Stack_Size := -1;
      Leap_Seconds_Support := 0;

      Runtime_Initialize (1);

      Finalize_Library_Objects := finalize_library'access;

      if E013 = 0 then
         System.Soft_Links'Elab_Spec;
      end if;
      if E023 = 0 then
         System.Exception_Table'Elab_Body;
      end if;
      E023 := E023 + 1;
      if E171 = 0 then
         Ada.Containers'Elab_Spec;
      end if;
      E171 := E171 + 1;
      if E121 = 0 then
         Ada.Io_Exceptions'Elab_Spec;
      end if;
      E121 := E121 + 1;
      if E204 = 0 then
         Ada.Numerics'Elab_Spec;
      end if;
      E204 := E204 + 1;
      if E060 = 0 then
         Ada.Strings'Elab_Spec;
      end if;
      E060 := E060 + 1;
      if E062 = 0 then
         Ada.Strings.Maps'Elab_Spec;
      end if;
      if E066 = 0 then
         Ada.Strings.Maps.Constants'Elab_Spec;
      end if;
      E066 := E066 + 1;
      if E099 = 0 then
         Ada.Tags'Elab_Spec;
      end if;
      if E120 = 0 then
         Ada.Streams'Elab_Spec;
      end if;
      E120 := E120 + 1;
      if E051 = 0 then
         Interfaces.C'Elab_Spec;
      end if;
      if E274 = 0 then
         Interfaces.C.Strings'Elab_Spec;
      end if;
      if E025 = 0 then
         System.Exceptions'Elab_Spec;
      end if;
      E025 := E025 + 1;
      if E143 = 0 then
         System.File_Control_Block'Elab_Spec;
      end if;
      E143 := E143 + 1;
      if E194 = 0 then
         Ada.Streams.Stream_Io'Elab_Spec;
      end if;
      E194 := E194 + 1;
      if E123 = 0 then
         System.Finalization_Root'Elab_Spec;
      end if;
      E123 := E123 + 1;
      if E118 = 0 then
         Ada.Finalization'Elab_Spec;
      end if;
      E118 := E118 + 1;
      if E304 = 0 then
         System.Regpat'Elab_Spec;
      end if;
      if E125 = 0 then
         System.Storage_Pools'Elab_Spec;
      end if;
      E125 := E125 + 1;
      if E113 = 0 then
         System.Finalization_Masters'Elab_Spec;
      end if;
      if E111 = 0 then
         System.Storage_Pools.Subpools'Elab_Spec;
      end if;
      if E226 = 0 then
         System.Task_Info'Elab_Spec;
      end if;
      E226 := E226 + 1;
      if E006 = 0 then
         Ada.Calendar'Elab_Spec;
      end if;
      if E006 = 0 then
         Ada.Calendar'Elab_Body;
      end if;
      E006 := E006 + 1;
      if E074 = 0 then
         Ada.Calendar.Time_Zones'Elab_Spec;
      end if;
      E074 := E074 + 1;
      if E296 = 0 then
         Gnat.Calendar'Elab_Spec;
      end if;
      E296 := E296 + 1;
      if E299 = 0 then
         Gnat.Calendar.Time_Io'Elab_Spec;
      end if;
      if E325 = 0 then
         Gnat.Directory_Operations'Elab_Spec;
      end if;
      E331 := E331 + 1;
      E333 := E333 + 1;
      if E329 = 0 then
         Gnat.Sha1'Elab_Spec;
      end if;
      E329 := E329 + 1;
      if E188 = 0 then
         System.Assertions'Elab_Spec;
      end if;
      E188 := E188 + 1;
      if E182 = 0 then
         System.Pool_Global'Elab_Spec;
      end if;
      E182 := E182 + 1;
      if E284 = 0 then
         System.Random_Seed'Elab_Body;
      end if;
      E284 := E284 + 1;
      E111 := E111 + 1;
      if E113 = 0 then
         System.Finalization_Masters'Elab_Body;
      end if;
      E113 := E113 + 1;
      E304 := E304 + 1;
      if E136 = 0 then
         System.File_Io'Elab_Body;
      end if;
      E136 := E136 + 1;
      E274 := E274 + 1;
      E051 := E051 + 1;
      if E099 = 0 then
         Ada.Tags'Elab_Body;
      end if;
      E099 := E099 + 1;
      E062 := E062 + 1;
      if E013 = 0 then
         System.Soft_Links'Elab_Body;
      end if;
      E013 := E013 + 1;
      if E140 = 0 then
         System.Os_Lib'Elab_Body;
      end if;
      E140 := E140 + 1;
      if E017 = 0 then
         System.Secondary_Stack'Elab_Body;
      end if;
      E017 := E017 + 1;
      if E325 = 0 then
         Gnat.Directory_Operations'Elab_Body;
      end if;
      E325 := E325 + 1;
      if E097 = 0 then
         Ada.Strings.Unbounded'Elab_Spec;
      end if;
      E097 := E097 + 1;
      if E070 = 0 then
         Ada.Directories'Elab_Spec;
      end if;
      if E145 = 0 then
         System.Regexp'Elab_Spec;
      end if;
      E145 := E145 + 1;
      if E070 = 0 then
         Ada.Directories'Elab_Body;
      end if;
      E070 := E070 + 1;
      if E323 = 0 then
         Gnat.Command_Line'Elab_Spec;
      end if;
      if E242 = 0 then
         System.Tasking.Initialization'Elab_Body;
      end if;
      E242 := E242 + 1;
      if E149 = 0 then
         Ada.Text_Io'Elab_Spec;
      end if;
      if E149 = 0 then
         Ada.Text_Io'Elab_Body;
      end if;
      E149 := E149 + 1;
      if E323 = 0 then
         Gnat.Command_Line'Elab_Body;
      end if;
      E323 := E323 + 1;
      E299 := E299 + 1;
      if E252 = 0 then
         System.Tasking.Protected_Objects'Elab_Body;
      end if;
      E252 := E252 + 1;
      if E256 = 0 then
         System.Tasking.Protected_Objects.Entries'Elab_Spec;
      end if;
      E256 := E256 + 1;
      if E250 = 0 then
         System.Tasking.Queuing'Elab_Body;
      end if;
      E250 := E250 + 1;
      E317 := E317 + 1;
      if E315 = 0 then
         Templates_Parser_Tasking'Elab_Body;
      end if;
      E315 := E315 + 1;
      if E292 = 0 then
         Templates_Parser'Elab_Spec;
      end if;
      if E309 = 0 then
         Templates_Parser.Input'Elab_Spec;
      end if;
      E309 := E309 + 1;
      if E311 = 0 then
         Templates_Parser.Utils'Elab_Spec;
      end if;
      E311 := E311 + 1;
      if E292 = 0 then
         Templates_Parser'Elab_Body;
      end if;
      E292 := E292 + 1;
      if E203 = 0 then
         AWS.UTILS'ELAB_SPEC;
      end if;
      if E203 = 0 then
         AWS.UTILS'ELAB_BODY;
      end if;
      E203 := E203 + 1;
      if E168 = 0 then
         AWS.RESOURCES'ELAB_SPEC;
      end if;
      if E180 = 0 then
         AWS.RESOURCES.STREAMS'ELAB_SPEC;
      end if;
      E180 := E180 + 1;
      if E321 = 0 then
         AWS.RESOURCES.STREAMS.DISK'ELAB_SPEC;
      end if;
      E321 := E321 + 1;
      if E198 = 0 then
         AWS.RESOURCES.STREAMS.MEMORY'ELAB_SPEC;
      end if;
      E198 := E198 + 1;
      E168 := E168 + 1;
      if E186 = 0 then
         AWS.RESOURCES.STREAMS.ZLIB'ELAB_SPEC;
      end if;
      E186 := E186 + 1;
      if E170 = 0 then
         AWS.RESOURCES.EMBEDDED'ELAB_BODY;
      end if;
      E170 := E170 + 1;
      E319 := E319 + 1;
   end adainit;

   procedure Ada_Main_Program;
   pragma Import (Ada, Ada_Main_Program, "_ada_awsres");

   function main
     (argc : Integer;
      argv : System.Address;
      envp : System.Address)
      return Integer
   is
      procedure Initialize (Addr : System.Address);
      pragma Import (C, Initialize, "__gnat_initialize");

      procedure Finalize;
      pragma Import (C, Finalize, "__gnat_finalize");
      SEH : aliased array (1 .. 2) of Integer;

      Ensure_Reference : aliased System.Address := Ada_Main_Program_Name'Address;
      pragma Volatile (Ensure_Reference);

   begin
      gnat_argc := argc;
      gnat_argv := argv;
      gnat_envp := envp;

      Initialize (SEH'Address);
      adainit;
      Ada_Main_Program;
      adafinal;
      Finalize;
      return (gnat_exit_status);
   end;

--  BEGIN Object file/option list
   --   /builddir/build/BUILD/aws-gpl-2015-src/.build/ppc64-redhat-linux/debug/relocatable/obj/tools/awsres.o
   --   -L/builddir/build/BUILD/aws-gpl-2015-src/.build/ppc64-redhat-linux/debug/relocatable/obj/tools/
   --   -L/builddir/build/BUILD/aws-gpl-2015-src/.build/ppc64-redhat-linux/debug/relocatable/obj/tools/
   --   -L/builddir/build/BUILD/aws-gpl-2015-src/.build/ppc64-redhat-linux/debug/relocatable/obj/
   --   -L/builddir/build/BUILD/aws-gpl-2015-src/.build/ppc64-redhat-linux/debug/relocatable/lib/aws/
   --   -L/builddir/build/BUILD/aws-gpl-2015-src/.build/ppc64-redhat-linux/debug/relocatable/lib/include/
   --   -L/usr/lib64/zlib-ada/
   --   -L/builddir/build/BUILD/aws-gpl-2015-src/.build/ppc64-redhat-linux/debug/relocatable/lib/src/
   --   -L/usr/lib64/xmlada/
   --   -L/builddir/build/BUILD/aws-gpl-2015-src/.build/ppc64-redhat-linux/debug/relocatable/lib/ssl/
   --   -L/builddir/build/BUILD/aws-gpl-2015-src/ssl/
   --   -L/usr/lib64/templates_parser/
   --   -L/usr/lib/gcc/ppc64-redhat-linux/6.0.0/adalib/
   --   -shared
   --   -lgnarl-6
   --   -lgnat-6
   --   -lpthread
   --   -lrt
   --   -lm
--  END Object file/option list   

end ada_main;
